<?php
    // assigned
    $dematpayslipUserList = (isset($_['dematpayslipUserList']) ? $_['dematpayslipUserList'] : array());
    $exportDirUserPath    = (isset($_['exportDirUserPath']) ? $_['exportDirUserPath'] : '');
    $msgList              = (isset($_['msgList']) ? $_['msgList'] : array());

    // alert messages
    $htmlAlert = '';
    if (!empty($msgList)) {
        if (count($msgList['error'])>0) {
            $htmlAlert .= '<div class="alert alert-danger alert-dismissible fade show" id="dematpayslip_alert_danger" role="alert">';
            foreach ($msgList['error'] as $msg) {
                $htmlAlert .= '<div class="text-center">' .  $msg . '</div>';
            }
            $htmlAlert .= '<a class="close" id="dematpayslip_alert_danger_btn">';
            $htmlAlert .= '<span aria-hidden="true">&times;</span>';
            $htmlAlert .= '</a>';
            $htmlAlert .= '</div>';
        }

        if (count($msgList['warning'])>0) {
            $htmlAlert .= '<div class="alert alert-warning alert-dismissible fade show" id="dematpayslip_alert_warning" role="alert">';
            foreach ($msgList['warning'] as $msg) {
                $htmlAlert .= '<div class="text-center">' .  $msg . '</div>';
            }
            $htmlAlert .= '<a class="close" id="dematpayslip_alert_warning_btn">';
            $htmlAlert .= '<span aria-hidden="true">&times;</span>';
            $htmlAlert .= '</a>';
            $htmlAlert .= '</div>';
        }

        if (count($msgList['success'])>0) {
            $htmlAlert .= '<div class="alert alert-success alert-dismissible fade show" id="dematpayslip_alert_success" role="alert">';
            foreach ($msgList['success'] as $msg) {
                $htmlAlert .= '<div class="text-center">' .  $msg . '</div>';
            }
            $htmlAlert .= '<a class="close" id="dematpayslip_alert_success_btn">';
            $htmlAlert .= '<span aria-hidden="true">&times;</span>';
            $htmlAlert .= '</a>';
            $htmlAlert .= '</div>';
        }
    }
?>
<div class="row" id="dematpayslip">
    <div class="col-md-12 dematpayslip_block">
        <?php if (!empty($htmlAlert)) { ?>
            <div id="dematpayslip_alert"><?php print $htmlAlert; ?></div>
        <?php } ?>
        <h2><?php p($l->t('Liste des agents')); ?>&nbsp;&nbsp;<a href="<?php echo \OC\URLGenerator::linkToRoute('dematpayslip.page.agent_csv'); ?>" class="button" title="<?php p($l->t('Export CSV')); ?>"><?php p($l->t('CSV')); ?></a></h2>

        <div>
            <a href="<?php echo \OC\URLGenerator::linkToRoute('files.view.index', ['dir' => $exportDirUserPath]); ?>" class="button" target="_blank" title="<?php p($l->t('Accéder aux exports CSV')); ?>"><?php p($l->t('Accéder aux exports CSV')); ?></a>
        </div>
        <br />

        <div class="row">
            <div class="col-md-12">
                <div class="table-responsive">
                    <table class="table table-bordered" id="agent_list">
                        <thead class="thead-dark">
                            <tr>
<!--                                <th scope="col">--><?php //p($l->t('UID')); ?><!--</th>-->
                                <th scope="col"><?php p($l->t('Utilisateur')); ?></th>
                                <th scope="col"><?php p($l->t('Siret')); ?></th>
                                <th scope="col"><?php p($l->t('Matricule')); ?></th>
                                <th scope="col"><?php p($l->t('Email')); ?></th>
                                <th scope="col"><?php p($l->t('Papier ?')); ?></th>
                                <th scope="col"><?php p($l->t('Date modification')); ?></th>
                            </tr>
                        </thead>
                        <?php
                            if (!empty($dematpayslipUserList)) {
                                ?>
                                <tbody>
                                <?php
                                    foreach ($dematpayslipUserList as $dematpayslipUser) {
                                        ?>
                                        <tr>
<!--                                            <th>--><?php //print $dematpayslipUser->getUserId(); ?><!--</th>-->
                                            <th scope="row"><?php print \OC::$server->getUserManager()->get($dematpayslipUser->getUserId())->getDisplayName(); ?></th>
                                            <td><?php print $dematpayslipUser->getSiret(); ?></td>
                                            <td><?php print $dematpayslipUser->getMatricule(); ?></td>
                                            <td><?php print $dematpayslipUser->getEmail(); ?></td>
                                            <td><?php
                                                if ($dematpayslipUser->getDisabled() == 1) {
                                                    p($l->t('Oui'));
                                                } else {
                                                    p($l->t('Non'));
                                                }
                                                ?>
                                            </td>
                                            <td><?php
                                                if ($dematpayslipUser->getLastmodified() != null) {
                                                    $dateTimeLastmodified = new \DateTime('', \OC::$server->getDateTimeZone()->getTimeZone());
                                                    $dateTimeLastmodified->setTimestamp($dematpayslipUser->getLastmodified());
                                                    print $dateTimeLastmodified->format('d/m/Y H:i:s');
                                                }
                                                ?>
                                            </td>
                                        </tr>
                                        <?php
                                    }
                                ?>
                                </tbody>
                                <?php
                            }
                        ?>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
